/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.internal.ftp.subscriber;

import org.eclipse.core.resources.IResource;
import org.eclipse.core.runtime.QualifiedName;
import org.eclipse.team.core.TeamException;
import org.eclipse.team.core.variants.ThreeWaySynchronizer;
import org.eclipse.team.internal.ftp.FTPPlugin;

/**
 * This class provides workspace synchronization for FTP
 */
public class FTPSynchronizer extends ThreeWaySynchronizer {
	
	protected FTPSynchronizer() {
		super(new QualifiedName(FTPPlugin.ID, "workspace-sync")); //$NON-NLS-1$
	}
	
	public void setBaseBytes(IResource resource, byte[] remoteBaseIdentifier) throws TeamException {
		if (resource.getType() != IResource.FILE) {
			remoteBaseIdentifier = FTPSubscriberResource.FOLDER_BYTES;
		}
		super.setBaseBytes(resource, remoteBaseIdentifier);
	}
	
	public boolean setRemoteBytes(IResource resource, byte[] remoteIdentifier) throws TeamException {
		if (resource.getType() != IResource.FILE) {
			remoteIdentifier = FTPSubscriberResource.FOLDER_BYTES;
		}
		return super.setRemoteBytes(resource, remoteIdentifier);
	}

}
