/*******************************************************************************
 * Copyright (c) 2000, 2004 IBM Corporation and others.
 * All rights reserved. This program and the accompanying materials 
 * are made available under the terms of the Common Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/cpl-v10.html
 * 
 * Contributors:
 *     IBM Corporation - initial API and implementation
 *******************************************************************************/
package org.eclipse.team.internal.ftp.ui.subscriber;

import java.util.ResourceBundle;

import org.eclipse.jface.viewers.ISelectionProvider;
import org.eclipse.team.core.synchronize.SyncInfoSet;
import org.eclipse.team.internal.ftp.FTPPlugin;
import org.eclipse.team.internal.ftp.Policy;
import org.eclipse.team.internal.target.subscriber.ITargetOperations;
import org.eclipse.team.internal.ui.target.subscriber.PutAction;
import org.eclipse.team.ui.synchronize.ISynchronizePageConfiguration;

public class FTPPutAction extends PutAction {

	protected FTPPutAction(ISynchronizePageConfiguration configuration) {
		super(configuration, configuration.getSite().getSelectionProvider(), "FTPPutAction.", Policy.getBundle()); //$NON-NLS-1$
	}

	public FTPPutAction(ISynchronizePageConfiguration configuration, ISelectionProvider provider, String string, ResourceBundle bundle) {
		super(configuration, provider, string, bundle);
	}

	protected String getJobName(SyncInfoSet syncSet) {
		return Policy.bind("FTPPutAction.0", new Integer(syncSet.size()).toString()); //$NON-NLS-1$
	}

	protected ITargetOperations getTargetOperations() {
		return FTPPlugin.getPlugin().getSubscriber().getTeamOperations();
	}

}
